Imports Infragistics.Win.UltraWinGrid
Imports Infragistics.Win
Imports System.Text
Imports HomeTeam.Common
Imports System.Reflection
Imports TXTextControl

Public Class frmReportEditor
    Inherits System.Windows.Forms.Form

    Private _ParentInspectionForm As frmInspectionMaintenance
    Private _InspectionParagraphCol As InspectionParagraphCollection
    Private _CurrentParagraph As InspectionParagraph
    Private _FieldChoiceCol As FieldChoiceCollection
    Private _RTFHelper As RTFHelper
    Private _TextHelper As TextHelper
    Private docName As String
    Private docAddressOne As String
    Private _Inspection As Inspection
    Private m_ActiveHeaderFooter As TXTextControl.HeaderFooter
    Private m_ActiveTable As TXTextControl.Table
    Dim Spell As Boolean = True
    Private _InspectionID As String
    Private _InspectionAddressOne As String
    Private _HeaderText As String
    Private _FooterText As String
    Private _CoverLetterText As String
    Private _OldReport As Boolean
    Private _IsCoverLetterIncluded As Boolean = False

    Public Property ParentInspectionForm() As frmInspectionMaintenance
        Get
            Return Me._ParentInspectionForm
        End Get
        Set(ByVal Value As frmInspectionMaintenance)
            Me._ParentInspectionForm = Value
        End Set
    End Property

    Public Property InspectionParagraphCol() As InspectionParagraphCollection
        Get
            Return _InspectionParagraphCol
        End Get
        Set(ByVal Value As InspectionParagraphCollection)
            _InspectionParagraphCol = Value
        End Set
    End Property

    Public Property RTFHelper() As RTFHelper
        Get
            Return _RTFHelper
        End Get
        Set(ByVal Value As RTFHelper)
            _RTFHelper = Value
        End Set
    End Property

    Public Property TextHelper() As TextHelper
        Get
            Return _TextHelper
        End Get
        Set(ByVal Value As TextHelper)
            _TextHelper = Value
        End Set
    End Property

    Public Property Inspection() As Inspection
        Get
            Return _Inspection
        End Get
        Set(ByVal Value As Inspection)
            _Inspection = Value
        End Set
    End Property

    Public Property InspectionID() As String
        Get
            Return _InspectionID
        End Get
        Set(ByVal Value As String)
            _InspectionID = Value
        End Set
    End Property

    Public Property InspectionAddressOne() As String
        Get
            Return _InspectionAddressOne
        End Get
        Set(ByVal Value As String)
            _InspectionAddressOne = Value
        End Set
    End Property

    Public Property HeaderText() As String
        Get
            Return _HeaderText
        End Get
        Set(ByVal Value As String)
            _HeaderText = Value
        End Set
    End Property

    Public Property FooterText() As String
        Get
            Return _FooterText
        End Get
        Set(ByVal Value As String)
            _FooterText = Value
        End Set
    End Property

    Public Property CoverLetterText() As String
        Get
            Return _CoverLetterText
        End Get
        Set(ByVal Value As String)
            _CoverLetterText = Value
        End Set
    End Property

    Public Property OldReport() As Boolean
        Get
            Return _OldReport
        End Get
        Set(ByVal Value As Boolean)
            _OldReport = Value
        End Set
    End Property

#Region " Windows Form Designer generated code "

    Public Sub New()
        MyBase.New()

        'This call is required by the Windows Form Designer.
        InitializeComponent()

        'Add any initialization after the InitializeComponent() call

    End Sub

    'Form overrides dispose to clean up the component list.
    Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
        If disposing Then
            If Not (components Is Nothing) Then
                components.Dispose()
            End If
        End If
        MyBase.Dispose(disposing)
    End Sub

    'Required by the Windows Form Designer
    Private components As System.ComponentModel.IContainer

    'NOTE: The following procedure is required by the Windows Form Designer
    'It can be modified using the Windows Form Designer.  
    'Do not modify it using the code editor.
    Friend WithEvents UltraToolbar As Infragistics.Win.UltraWinToolbars.UltraToolbarsManager
    Friend WithEvents _frmSquareFootageMaint_Toolbars_Dock_Area_Left As Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea
    Friend WithEvents _frmSquareFootageMaint_Toolbars_Dock_Area_Right As Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea
    Friend WithEvents _frmSquareFootageMaint_Toolbars_Dock_Area_Top As Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea
    Friend WithEvents _frmSquareFootageMaint_Toolbars_Dock_Area_Bottom As Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea
    Friend WithEvents WinColorDialog As System.Windows.Forms.ColorDialog
    Friend WithEvents ImageList1 As System.Windows.Forms.ImageList
    Friend WithEvents Splitter2 As System.Windows.Forms.Splitter
    Friend WithEvents pnlText As System.Windows.Forms.Panel
    Friend WithEvents txtCButton As TXTextControl.ButtonBar
    Friend WithEvents txtCRuler As TXTextControl.RulerBar
    Friend WithEvents frmSquareFootageMaint_Fill_Panel As System.Windows.Forms.Panel
    Friend WithEvents ImgListGridGraphics As System.Windows.Forms.ImageList
    Friend WithEvents TxTextControlAdapter1 As Keyoti.RapidSpell.TXTextControlAdapter
    Friend WithEvents RapidSpellAsYouType1 As Keyoti.RapidSpell.RapidSpellAsYouType
    Friend WithEvents RapidSpellDialog1 As Keyoti.RapidSpell.RapidSpellDialog
    Friend WithEvents txtCText As TXTextControl.TextControl
    <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()
        Me.components = New System.ComponentModel.Container
        Dim resources As System.Resources.ResourceManager = New System.Resources.ResourceManager(GetType(frmReportEditor))
        Dim UltraToolbar1 As Infragistics.Win.UltraWinToolbars.UltraToolbar = New Infragistics.Win.UltraWinToolbars.UltraToolbar("mainMenuBar")
        Dim PopupMenuTool1 As Infragistics.Win.UltraWinToolbars.PopupMenuTool = New Infragistics.Win.UltraWinToolbars.PopupMenuTool("PopupFile")
        Dim PopupMenuTool2 As Infragistics.Win.UltraWinToolbars.PopupMenuTool = New Infragistics.Win.UltraWinToolbars.PopupMenuTool("PopupEdit")
        Dim PopupMenuTool3 As Infragistics.Win.UltraWinToolbars.PopupMenuTool = New Infragistics.Win.UltraWinToolbars.PopupMenuTool("PopupView")
        Dim PopupMenuTool4 As Infragistics.Win.UltraWinToolbars.PopupMenuTool = New Infragistics.Win.UltraWinToolbars.PopupMenuTool("PopupTables")
        Dim PopupMenuTool5 As Infragistics.Win.UltraWinToolbars.PopupMenuTool = New Infragistics.Win.UltraWinToolbars.PopupMenuTool("PopupFormat")
        Dim PopupMenuTool6 As Infragistics.Win.UltraWinToolbars.PopupMenuTool = New Infragistics.Win.UltraWinToolbars.PopupMenuTool("PopupTools")
        Dim UltraToolbar2 As Infragistics.Win.UltraWinToolbars.UltraToolbar = New Infragistics.Win.UltraWinToolbars.UltraToolbar("mainToolBar")
        Dim ButtonTool1 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolOpen")
        Dim ButtonTool2 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolSave")
        Dim ButtonTool3 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolSaveAs")
        Dim ButtonTool4 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolPrintPreview")
        Dim ButtonTool5 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolPrint")
        Dim UltraToolbar3 As Infragistics.Win.UltraWinToolbars.UltraToolbar = New Infragistics.Win.UltraWinToolbars.UltraToolbar("textToolBar")
        Dim ButtonTool6 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolUndo")
        Dim ButtonTool7 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolRedo")
        Dim ButtonTool8 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolFind")
        Dim ButtonTool9 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolCut")
        Dim ButtonTool10 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolCopy")
        Dim ButtonTool11 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolPaste")
        Dim ButtonTool12 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolFormatTextColor")
        Dim ButtonTool13 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolFormatBulletsDecreaseLevel")
        Dim ButtonTool14 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolFormatBulletsIncreaseLevel")
        Dim ButtonTool15 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolSpelling")
        Dim ButtonTool16 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolHeaderFooterSwitch")
        Dim ButtonTool17 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolNew")
        Dim Appearance1 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance
        Dim ButtonTool18 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolPrint")
        Dim Appearance2 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance
        Dim PopupMenuTool7 As Infragistics.Win.UltraWinToolbars.PopupMenuTool = New Infragistics.Win.UltraWinToolbars.PopupMenuTool("PopupFile")
        Dim ButtonTool19 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolOpen")
        Dim ButtonTool20 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolClose")
        Dim ButtonTool21 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolSave")
        Dim ButtonTool22 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolSaveAs")
        Dim ButtonTool23 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolExportPDF")
        Dim ButtonTool24 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolPageSetup")
        Dim ButtonTool25 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolPrintPreview")
        Dim ButtonTool26 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolPrint")
        Dim ButtonTool27 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolClose")
        Dim PopupMenuTool8 As Infragistics.Win.UltraWinToolbars.PopupMenuTool = New Infragistics.Win.UltraWinToolbars.PopupMenuTool("PopupEdit")
        Dim ButtonTool28 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolUndo")
        Dim ButtonTool29 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolRedo")
        Dim ButtonTool30 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolDelete")
        Dim ButtonTool31 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolFind")
        Dim ButtonTool32 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolReplace")
        Dim ButtonTool33 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolCut")
        Dim ButtonTool34 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolCopy")
        Dim ButtonTool35 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolPaste")
        Dim ButtonTool36 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolSelectAll")
        Dim ButtonTool37 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolUndo")
        Dim Appearance3 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance
        Dim ButtonTool38 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolRedo")
        Dim Appearance4 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance
        Dim ButtonTool39 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolCut")
        Dim Appearance5 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance
        Dim ButtonTool40 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolCopy")
        Dim Appearance6 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance
        Dim ButtonTool41 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolPaste")
        Dim Appearance7 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance
        Dim ButtonTool42 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolDelete")
        Dim ButtonTool43 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolSelectAll")
        Dim ButtonTool44 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolFind")
        Dim Appearance8 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance
        Dim ButtonTool45 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolReplace")
        Dim PopupMenuTool9 As Infragistics.Win.UltraWinToolbars.PopupMenuTool = New Infragistics.Win.UltraWinToolbars.PopupMenuTool("PopupFormat")
        Dim ButtonTool46 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolFormatChar")
        Dim ButtonTool47 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolFormatParagraph")
        Dim ButtonTool48 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolFormatTabs")
        Dim PopupMenuTool10 As Infragistics.Win.UltraWinToolbars.PopupMenuTool = New Infragistics.Win.UltraWinToolbars.PopupMenuTool("PopupFormatBullets")
        Dim ButtonTool49 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolFormatStyles")
        Dim ButtonTool50 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolFormatTextColor")
        Dim ButtonTool51 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolFormatTextBackgroundColor")
        Dim ButtonTool52 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolFormatInsertImage")
        Dim ButtonTool53 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolFormatInsertImageAsChar")
        Dim ButtonTool54 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolInsertPageBreak")
        Dim ButtonTool55 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolFormatHeaderFooter")
        Dim ButtonTool56 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolFormatChar")
        Dim ButtonTool57 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolFormatParagraph")
        Dim ButtonTool58 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolFormatTabs")
        Dim PopupMenuTool11 As Infragistics.Win.UltraWinToolbars.PopupMenuTool = New Infragistics.Win.UltraWinToolbars.PopupMenuTool("PopupFormatBullets")
        Dim ButtonTool59 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolFormatBulletsAttributes")
        Dim ButtonTool60 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolFormatBulletsIncreaseLevel")
        Dim ButtonTool61 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolFormatBulletsDecreaseLevel")
        Dim ButtonTool62 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolFormatBullets123")
        Dim ButtonTool63 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolFormatBulletsABC")
        Dim ButtonTool64 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolFormatBulletsABCLowerCase")
        Dim ButtonTool65 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolFormatBulletsRomanUpper")
        Dim ButtonTool66 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolFormatBulletsRomanLower")
        Dim ButtonTool67 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolFormatBulletsBullets")
        Dim ButtonTool68 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolFormatBulletsAttributes")
        Dim ButtonTool69 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolFormatBulletsIncreaseLevel")
        Dim Appearance9 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance
        Dim ButtonTool70 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolFormatBulletsDecreaseLevel")
        Dim Appearance10 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance
        Dim ButtonTool71 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolFormatBullets123")
        Dim ButtonTool72 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolFormatBulletsABC")
        Dim ButtonTool73 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolFormatBulletsABCLowerCase")
        Dim ButtonTool74 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolFormatBulletsRomanUpper")
        Dim ButtonTool75 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolFormatBulletsRomanLower")
        Dim ButtonTool76 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolFormatBulletsBullets")
        Dim ButtonTool77 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolFormatStyles")
        Dim ButtonTool78 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolFormatTextColor")
        Dim Appearance11 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance
        Dim ButtonTool79 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolFormatTextBackgroundColor")
        Dim ButtonTool80 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolFormatImage")
        Dim ButtonTool81 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolRemoveField")
        Dim ButtonTool82 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolFormatInsertImage")
        Dim ButtonTool83 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolFormatInsertImageAsChar")
        Dim ButtonTool84 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolOpen")
        Dim Appearance12 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance
        Dim PopupMenuTool12 As Infragistics.Win.UltraWinToolbars.PopupMenuTool = New Infragistics.Win.UltraWinToolbars.PopupMenuTool("PopupView")
        Dim ListTool1 As Infragistics.Win.UltraWinToolbars.ListTool = New Infragistics.Win.UltraWinToolbars.ListTool("toolLayoutList")
        Dim ButtonTool85 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolHeaderFooters")
        Dim ButtonTool86 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolFormatImage")
        Dim PopupMenuTool13 As Infragistics.Win.UltraWinToolbars.PopupMenuTool = New Infragistics.Win.UltraWinToolbars.PopupMenuTool("PopupZoom")
        Dim ButtonTool87 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolHeaderFooters")
        Dim ButtonTool88 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolInsertTable")
        Dim ButtonTool89 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolExportPDF")
        Dim ButtonTool90 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolSaveAs")
        Dim Appearance13 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance
        Dim ButtonTool91 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolSave")
        Dim Appearance14 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance
        Dim ButtonTool92 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolPrintPreview")
        Dim Appearance15 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance
        Dim ButtonTool93 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolPageSetup")
        Dim PopupMenuTool14 As Infragistics.Win.UltraWinToolbars.PopupMenuTool = New Infragistics.Win.UltraWinToolbars.PopupMenuTool("PopupZoom")
        Dim ListTool2 As Infragistics.Win.UltraWinToolbars.ListTool = New Infragistics.Win.UltraWinToolbars.ListTool("toolZoomList")
        Dim ListTool3 As Infragistics.Win.UltraWinToolbars.ListTool = New Infragistics.Win.UltraWinToolbars.ListTool("toolZoomList")
        Dim ListToolItem1 As Infragistics.Win.UltraWinToolbars.ListToolItem = New Infragistics.Win.UltraWinToolbars.ListToolItem("tool25")
        Dim ListToolItem2 As Infragistics.Win.UltraWinToolbars.ListToolItem = New Infragistics.Win.UltraWinToolbars.ListToolItem("tool50")
        Dim ListToolItem3 As Infragistics.Win.UltraWinToolbars.ListToolItem = New Infragistics.Win.UltraWinToolbars.ListToolItem("too75")
        Dim ListToolItem4 As Infragistics.Win.UltraWinToolbars.ListToolItem = New Infragistics.Win.UltraWinToolbars.ListToolItem("tool100")
        Dim ListToolItem5 As Infragistics.Win.UltraWinToolbars.ListToolItem = New Infragistics.Win.UltraWinToolbars.ListToolItem("tool150")
        Dim ListToolItem6 As Infragistics.Win.UltraWinToolbars.ListToolItem = New Infragistics.Win.UltraWinToolbars.ListToolItem("tool200")
        Dim ListToolItem7 As Infragistics.Win.UltraWinToolbars.ListToolItem = New Infragistics.Win.UltraWinToolbars.ListToolItem("tool300")
        Dim ListTool4 As Infragistics.Win.UltraWinToolbars.ListTool = New Infragistics.Win.UltraWinToolbars.ListTool("toolLayoutList")
        Dim ListToolItem8 As Infragistics.Win.UltraWinToolbars.ListToolItem = New Infragistics.Win.UltraWinToolbars.ListToolItem("toolNormal")
        Dim ListToolItem9 As Infragistics.Win.UltraWinToolbars.ListToolItem = New Infragistics.Win.UltraWinToolbars.ListToolItem("toolPageLayout")
        Dim ButtonTool94 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolInsertPageBreak")
        Dim ButtonTool95 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolFormatHeaderFooter")
        Dim ButtonTool96 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolHeaderFooterSwitch")
        Dim Appearance16 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance
        Dim PopupMenuTool15 As Infragistics.Win.UltraWinToolbars.PopupMenuTool = New Infragistics.Win.UltraWinToolbars.PopupMenuTool("PopupTables")
        Dim PopupMenuTool16 As Infragistics.Win.UltraWinToolbars.PopupMenuTool = New Infragistics.Win.UltraWinToolbars.PopupMenuTool("PopupInsert")
        Dim PopupMenuTool17 As Infragistics.Win.UltraWinToolbars.PopupMenuTool = New Infragistics.Win.UltraWinToolbars.PopupMenuTool("PopupDelete")
        Dim PopupMenuTool18 As Infragistics.Win.UltraWinToolbars.PopupMenuTool = New Infragistics.Win.UltraWinToolbars.PopupMenuTool("PopupSplit")
        Dim PopupMenuTool19 As Infragistics.Win.UltraWinToolbars.PopupMenuTool = New Infragistics.Win.UltraWinToolbars.PopupMenuTool("PopupSelect")
        Dim ListTool5 As Infragistics.Win.UltraWinToolbars.ListTool = New Infragistics.Win.UltraWinToolbars.ListTool("GridLinesList")
        Dim ButtonTool97 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolProperties...")
        Dim PopupMenuTool20 As Infragistics.Win.UltraWinToolbars.PopupMenuTool = New Infragistics.Win.UltraWinToolbars.PopupMenuTool("PopupInsert")
        Dim ButtonTool98 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolTable...")
        Dim ButtonTool99 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolColumnToTheLeft")
        Dim ButtonTool100 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolColumnToTheRight")
        Dim ButtonTool101 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolRowAbove")
        Dim ButtonTool102 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolRowBelow")
        Dim ButtonTool103 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolTable...")
        Dim ButtonTool104 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolColumnToTheLeft")
        Dim ButtonTool105 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolColumnToTheRight")
        Dim ButtonTool106 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolRowAbove")
        Dim ButtonTool107 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolRowBelow")
        Dim PopupMenuTool21 As Infragistics.Win.UltraWinToolbars.PopupMenuTool = New Infragistics.Win.UltraWinToolbars.PopupMenuTool("PopupDelete")
        Dim ButtonTool108 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolDeleteTable")
        Dim ButtonTool109 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolDeleteColumns")
        Dim ButtonTool110 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolDeleteRows")
        Dim PopupMenuTool22 As Infragistics.Win.UltraWinToolbars.PopupMenuTool = New Infragistics.Win.UltraWinToolbars.PopupMenuTool("PopupSplit")
        Dim ButtonTool111 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolSplitAbove")
        Dim ButtonTool112 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolSplitBelow")
        Dim PopupMenuTool23 As Infragistics.Win.UltraWinToolbars.PopupMenuTool = New Infragistics.Win.UltraWinToolbars.PopupMenuTool("PopupSelect")
        Dim ButtonTool113 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolSelectTable")
        Dim ButtonTool114 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolSelectRow")
        Dim ButtonTool115 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolSelectCell")
        Dim ListTool6 As Infragistics.Win.UltraWinToolbars.ListTool = New Infragistics.Win.UltraWinToolbars.ListTool("GridLinesList")
        Dim ListToolItem10 As Infragistics.Win.UltraWinToolbars.ListToolItem = New Infragistics.Win.UltraWinToolbars.ListToolItem("toolHideGridLines")
        Dim ButtonTool116 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolProperties...")
        Dim ButtonTool117 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolDeleteTable")
        Dim ButtonTool118 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolDeleteColumns")
        Dim ButtonTool119 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolDeleteRows")
        Dim ButtonTool120 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolSplitAbove")
        Dim ButtonTool121 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolSplitBelow")
        Dim ButtonTool122 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolSelectTable")
        Dim ButtonTool123 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolSelectRow")
        Dim ButtonTool124 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolSelectCell")
        Dim PopupMenuTool24 As Infragistics.Win.UltraWinToolbars.PopupMenuTool = New Infragistics.Win.UltraWinToolbars.PopupMenuTool("PopupTools")
        Dim ButtonTool125 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolSpelling")
        Dim ListTool7 As Infragistics.Win.UltraWinToolbars.ListTool = New Infragistics.Win.UltraWinToolbars.ListTool("SpellingList")
        Dim ButtonTool126 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("toolSpelling")
        Dim Appearance17 As Infragistics.Win.Appearance = New Infragistics.Win.Appearance
        Dim ListTool8 As Infragistics.Win.UltraWinToolbars.ListTool = New Infragistics.Win.UltraWinToolbars.ListTool("SpellingList")
        Dim ListToolItem11 As Infragistics.Win.UltraWinToolbars.ListToolItem = New Infragistics.Win.UltraWinToolbars.ListToolItem("toolCheckSpellingAsYouType")
        Dim PopupMenuTool25 As Infragistics.Win.UltraWinToolbars.PopupMenuTool = New Infragistics.Win.UltraWinToolbars.PopupMenuTool("PopupNothing")
        Me.ImageList1 = New System.Windows.Forms.ImageList(Me.components)
        Me.UltraToolbar = New Infragistics.Win.UltraWinToolbars.UltraToolbarsManager(Me.components)
        Me.txtCText = New TXTextControl.TextControl
        Me._frmSquareFootageMaint_Toolbars_Dock_Area_Left = New Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea
        Me._frmSquareFootageMaint_Toolbars_Dock_Area_Right = New Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea
        Me._frmSquareFootageMaint_Toolbars_Dock_Area_Top = New Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea
        Me._frmSquareFootageMaint_Toolbars_Dock_Area_Bottom = New Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea
        Me.WinColorDialog = New System.Windows.Forms.ColorDialog
        Me.Splitter2 = New System.Windows.Forms.Splitter
        Me.pnlText = New System.Windows.Forms.Panel
        Me.txtCRuler = New TXTextControl.RulerBar
        Me.txtCButton = New TXTextControl.ButtonBar
        Me.frmSquareFootageMaint_Fill_Panel = New System.Windows.Forms.Panel
        Me.ImgListGridGraphics = New System.Windows.Forms.ImageList(Me.components)
        Me.TxTextControlAdapter1 = New Keyoti.RapidSpell.TXTextControlAdapter
        Me.RapidSpellAsYouType1 = New Keyoti.RapidSpell.RapidSpellAsYouType(Me.components)
        Me.RapidSpellDialog1 = New Keyoti.RapidSpell.RapidSpellDialog
        CType(Me.UltraToolbar, System.ComponentModel.ISupportInitialize).BeginInit()
        Me.pnlText.SuspendLayout()
        Me.frmSquareFootageMaint_Fill_Panel.SuspendLayout()
        Me.SuspendLayout()
        '
        'ImageList1
        '
        Me.ImageList1.ColorDepth = System.Windows.Forms.ColorDepth.Depth16Bit
        Me.ImageList1.ImageSize = New System.Drawing.Size(14, 12)
        Me.ImageList1.ImageStream = CType(resources.GetObject("ImageList1.ImageStream"), System.Windows.Forms.ImageListStreamer)
        Me.ImageList1.TransparentColor = System.Drawing.Color.Transparent
        '
        'UltraToolbar
        '
        Me.UltraToolbar.DesignerFlags = 1
        Me.UltraToolbar.DockWithinContainer = Me
        Me.UltraToolbar.RuntimeCustomizationOptions = Infragistics.Win.UltraWinToolbars.RuntimeCustomizationOptions.None
        Me.UltraToolbar.ShowFullMenusDelay = 500
        Me.UltraToolbar.ShowQuickCustomizeButton = False
        Me.UltraToolbar.Style = Infragistics.Win.UltraWinToolbars.ToolbarStyle.Office2003
        UltraToolbar1.DockedColumn = 0
        UltraToolbar1.DockedRow = 0
        UltraToolbar1.IsMainMenuBar = True
        UltraToolbar1.Settings.AllowCustomize = Infragistics.Win.DefaultableBoolean.False
        UltraToolbar1.Settings.AllowDockBottom = Infragistics.Win.DefaultableBoolean.False
        UltraToolbar1.Settings.AllowDockLeft = Infragistics.Win.DefaultableBoolean.False
        UltraToolbar1.Settings.AllowDockRight = Infragistics.Win.DefaultableBoolean.False
        UltraToolbar1.Settings.AllowDockTop = Infragistics.Win.DefaultableBoolean.False
        UltraToolbar1.Settings.AllowFloating = Infragistics.Win.DefaultableBoolean.False
        UltraToolbar1.Settings.AllowHiding = Infragistics.Win.DefaultableBoolean.False
        UltraToolbar1.Text = "mainMenuBar"
        UltraToolbar1.Tools.AddRange(New Infragistics.Win.UltraWinToolbars.ToolBase() {PopupMenuTool1, PopupMenuTool2, PopupMenuTool3, PopupMenuTool4, PopupMenuTool5, PopupMenuTool6})
        UltraToolbar2.DockedColumn = 0
        UltraToolbar2.DockedRow = 1
        UltraToolbar2.Settings.AllowCustomize = Infragistics.Win.DefaultableBoolean.False
        UltraToolbar2.Settings.AllowDockBottom = Infragistics.Win.DefaultableBoolean.False
        UltraToolbar2.Settings.AllowDockLeft = Infragistics.Win.DefaultableBoolean.False
        UltraToolbar2.Settings.AllowDockRight = Infragistics.Win.DefaultableBoolean.False
        UltraToolbar2.Settings.AllowDockTop = Infragistics.Win.DefaultableBoolean.False
        UltraToolbar2.Settings.AllowFloating = Infragistics.Win.DefaultableBoolean.False
        UltraToolbar2.Settings.AllowHiding = Infragistics.Win.DefaultableBoolean.False
        UltraToolbar2.Text = "mainToolBar"
        ButtonTool4.InstanceProps.IsFirstInGroup = True
        UltraToolbar2.Tools.AddRange(New Infragistics.Win.UltraWinToolbars.ToolBase() {ButtonTool1, ButtonTool2, ButtonTool3, ButtonTool4, ButtonTool5})
        UltraToolbar3.DockedColumn = 1
        UltraToolbar3.DockedRow = 1
        UltraToolbar3.Settings.AllowCustomize = Infragistics.Win.DefaultableBoolean.False
        UltraToolbar3.Settings.AllowDockBottom = Infragistics.Win.DefaultableBoolean.False
        UltraToolbar3.Settings.AllowDockLeft = Infragistics.Win.DefaultableBoolean.False
        UltraToolbar3.Settings.AllowDockRight = Infragistics.Win.DefaultableBoolean.False
        UltraToolbar3.Settings.AllowDockTop = Infragistics.Win.DefaultableBoolean.False
        UltraToolbar3.Settings.AllowFloating = Infragistics.Win.DefaultableBoolean.False
        UltraToolbar3.Settings.AllowHiding = Infragistics.Win.DefaultableBoolean.False
        UltraToolbar3.Text = "textToolBar"
        ButtonTool8.InstanceProps.IsFirstInGroup = True
        ButtonTool9.InstanceProps.IsFirstInGroup = True
        ButtonTool12.InstanceProps.IsFirstInGroup = True
        ButtonTool13.InstanceProps.IsFirstInGroup = True
        ButtonTool15.InstanceProps.IsFirstInGroup = True
        ButtonTool16.InstanceProps.IsFirstInGroup = True
        UltraToolbar3.Tools.AddRange(New Infragistics.Win.UltraWinToolbars.ToolBase() {ButtonTool6, ButtonTool7, ButtonTool8, ButtonTool9, ButtonTool10, ButtonTool11, ButtonTool12, ButtonTool13, ButtonTool14, ButtonTool15, ButtonTool16})
        Me.UltraToolbar.Toolbars.AddRange(New Infragistics.Win.UltraWinToolbars.UltraToolbar() {UltraToolbar1, UltraToolbar2, UltraToolbar3})
        Me.UltraToolbar.ToolbarSettings.AllowCustomize = Infragistics.Win.DefaultableBoolean.False
        Me.UltraToolbar.ToolbarSettings.AllowDockBottom = Infragistics.Win.DefaultableBoolean.False
        Me.UltraToolbar.ToolbarSettings.AllowDockLeft = Infragistics.Win.DefaultableBoolean.False
        Me.UltraToolbar.ToolbarSettings.AllowDockRight = Infragistics.Win.DefaultableBoolean.False
        Me.UltraToolbar.ToolbarSettings.AllowDockTop = Infragistics.Win.DefaultableBoolean.False
        Me.UltraToolbar.ToolbarSettings.AllowFloating = Infragistics.Win.DefaultableBoolean.False
        Me.UltraToolbar.ToolbarSettings.AllowHiding = Infragistics.Win.DefaultableBoolean.False
        Appearance1.Image = CType(resources.GetObject("Appearance1.Image"), Object)
        ButtonTool17.SharedProps.AppearancesSmall.Appearance = Appearance1
        ButtonTool17.SharedProps.Caption = "&New"
        ButtonTool17.SharedProps.MergeOrder = 10
        ButtonTool17.SharedProps.Shortcut = System.Windows.Forms.Shortcut.CtrlN
        Appearance2.Image = CType(resources.GetObject("Appearance2.Image"), Object)
        ButtonTool18.SharedProps.AppearancesSmall.Appearance = Appearance2
        ButtonTool18.SharedProps.Caption = "&Print"
        ButtonTool18.SharedProps.MergeOrder = 90
        ButtonTool18.SharedProps.Shortcut = System.Windows.Forms.Shortcut.CtrlP
        PopupMenuTool7.SharedProps.Caption = "&File"
        PopupMenuTool7.SharedProps.MergeOrder = 10
        ButtonTool21.InstanceProps.IsFirstInGroup = True
        ButtonTool24.InstanceProps.IsFirstInGroup = True
        PopupMenuTool7.Tools.AddRange(New Infragistics.Win.UltraWinToolbars.ToolBase() {ButtonTool19, ButtonTool20, ButtonTool21, ButtonTool22, ButtonTool23, ButtonTool24, ButtonTool25, ButtonTool26})
        ButtonTool27.SharedProps.Caption = "&Close"
        ButtonTool27.SharedProps.MergeOrder = 30
        ButtonTool27.SharedProps.ToolTipText = "Close Report Editor"
        PopupMenuTool8.SharedProps.Caption = "&Edit"
        PopupMenuTool8.SharedProps.MergeOrder = 20
        ButtonTool30.InstanceProps.IsFirstInGroup = True
        ButtonTool31.InstanceProps.IsFirstInGroup = True
        ButtonTool33.InstanceProps.IsFirstInGroup = True
        ButtonTool36.InstanceProps.IsFirstInGroup = True
        PopupMenuTool8.Tools.AddRange(New Infragistics.Win.UltraWinToolbars.ToolBase() {ButtonTool28, ButtonTool29, ButtonTool30, ButtonTool31, ButtonTool32, ButtonTool33, ButtonTool34, ButtonTool35, ButtonTool36})
        Appearance3.Image = CType(resources.GetObject("Appearance3.Image"), Object)
        ButtonTool37.SharedProps.AppearancesSmall.Appearance = Appearance3
        ButtonTool37.SharedProps.Caption = "Undo"
        ButtonTool37.SharedProps.MergeOrder = 102
        ButtonTool37.SharedProps.Shortcut = System.Windows.Forms.Shortcut.CtrlZ
        ButtonTool37.SharedProps.ToolTipText = "Undo Text Change"
        Appearance4.Image = CType(resources.GetObject("Appearance4.Image"), Object)
        ButtonTool38.SharedProps.AppearancesSmall.Appearance = Appearance4
        ButtonTool38.SharedProps.Caption = "Redo"
        ButtonTool38.SharedProps.MergeOrder = 103
        ButtonTool38.SharedProps.ToolTipText = "Redo Text Change"
        Appearance5.Image = CType(resources.GetObject("Appearance5.Image"), Object)
        ButtonTool39.SharedProps.AppearancesSmall.Appearance = Appearance5
        ButtonTool39.SharedProps.Caption = "&Cut"
        ButtonTool39.SharedProps.MergeOrder = 140
        ButtonTool39.SharedProps.Shortcut = System.Windows.Forms.Shortcut.CtrlX
        ButtonTool39.SharedProps.ToolTipText = "Cut Text"
        Appearance6.Image = CType(resources.GetObject("Appearance6.Image"), Object)
        ButtonTool40.SharedProps.AppearancesSmall.Appearance = Appearance6
        ButtonTool40.SharedProps.Caption = "&Copy"
        ButtonTool40.SharedProps.MergeOrder = 150
        ButtonTool40.SharedProps.Shortcut = System.Windows.Forms.Shortcut.CtrlC
        ButtonTool40.SharedProps.ToolTipText = "Copy Text"
        Appearance7.Image = CType(resources.GetObject("Appearance7.Image"), Object)
        ButtonTool41.SharedProps.AppearancesSmall.Appearance = Appearance7
        ButtonTool41.SharedProps.Caption = "&Paste"
        ButtonTool41.SharedProps.MergeOrder = 160
        ButtonTool41.SharedProps.Shortcut = System.Windows.Forms.Shortcut.CtrlV
        ButtonTool41.SharedProps.ToolTipText = "Paste Text"
        ButtonTool42.SharedProps.Caption = "Delete"
        ButtonTool42.SharedProps.MergeOrder = 105
        ButtonTool42.SharedProps.Shortcut = System.Windows.Forms.Shortcut.Del
        ButtonTool42.SharedProps.ToolTipText = "Delete Text"
        ButtonTool43.SharedProps.Caption = "Select All"
        ButtonTool43.SharedProps.MergeOrder = 167
        ButtonTool43.SharedProps.Shortcut = System.Windows.Forms.Shortcut.CtrlA
        ButtonTool43.SharedProps.ToolTipText = "Select All Text"
        Appearance8.Image = CType(resources.GetObject("Appearance8.Image"), Object)
        ButtonTool44.SharedProps.AppearancesSmall.Appearance = Appearance8
        ButtonTool44.SharedProps.Caption = "Find"
        ButtonTool44.SharedProps.MergeOrder = 130
        ButtonTool44.SharedProps.Shortcut = System.Windows.Forms.Shortcut.CtrlF
        ButtonTool44.SharedProps.ToolTipText = "Find in Text"
        ButtonTool45.SharedProps.Caption = "Replace"
        ButtonTool45.SharedProps.MergeOrder = 135
        ButtonTool45.SharedProps.Shortcut = System.Windows.Forms.Shortcut.CtrlH
        ButtonTool45.SharedProps.ToolTipText = "Replace in Text"
        PopupMenuTool9.SharedProps.Caption = "For&mat"
        PopupMenuTool9.SharedProps.MergeOrder = 25
        ButtonTool50.InstanceProps.IsFirstInGroup = True
        ButtonTool52.InstanceProps.IsFirstInGroup = True
        ButtonTool54.InstanceProps.IsFirstInGroup = True
        ButtonTool55.InstanceProps.IsFirstInGroup = True
        PopupMenuTool9.Tools.AddRange(New Infragistics.Win.UltraWinToolbars.ToolBase() {ButtonTool46, ButtonTool47, ButtonTool48, PopupMenuTool10, ButtonTool49, ButtonTool50, ButtonTool51, ButtonTool52, ButtonTool53, ButtonTool54, ButtonTool55})
        ButtonTool56.SharedProps.Caption = "&Character..."
        ButtonTool57.SharedProps.Caption = "&Paragraph..."
        ButtonTool58.SharedProps.Caption = "&Tabs..."
        PopupMenuTool11.SharedProps.Caption = "Bullets and &Numbering"
        PopupMenuTool11.Tools.AddRange(New Infragistics.Win.UltraWinToolbars.ToolBase() {ButtonTool59, ButtonTool60, ButtonTool61, ButtonTool62, ButtonTool63, ButtonTool64, ButtonTool65, ButtonTool66, ButtonTool67})
        ButtonTool68.SharedProps.Caption = "&Attributes..."
        Appearance9.Image = CType(resources.GetObject("Appearance9.Image"), Object)
        ButtonTool69.SharedProps.AppearancesSmall.Appearance = Appearance9
        ButtonTool69.SharedProps.Caption = "&Increase Level"
        Appearance10.Image = CType(resources.GetObject("Appearance10.Image"), Object)
        ButtonTool70.SharedProps.AppearancesSmall.Appearance = Appearance10
        ButtonTool70.SharedProps.Caption = "&Decrease level"
        ButtonTool71.SharedProps.Caption = "&1, 2, 3"
        ButtonTool72.SharedProps.Caption = "A, &B, C"
        ButtonTool73.SharedProps.Caption = "a, b, &c"
        ButtonTool74.SharedProps.Caption = "&I, II, III, IV"
        ButtonTool75.SharedProps.Caption = "i, ii, iii, i&v"
        ButtonTool76.SharedProps.Caption = "B&ullets"
        ButtonTool77.SharedProps.Caption = "&Styles..."
        Appearance11.Image = CType(resources.GetObject("Appearance11.Image"), Object)
        ButtonTool78.SharedProps.AppearancesSmall.Appearance = Appearance11
        ButtonTool78.SharedProps.Caption = "T&ext Color..."
        ButtonTool79.SharedProps.Caption = "Text B&ackground Color..."
        ButtonTool80.SharedProps.Caption = "&Image Properties..."
        ButtonTool81.SharedProps.Caption = "&Remove Field"
        ButtonTool82.SharedProps.Caption = "Insert Image..."
        ButtonTool83.SharedProps.Caption = "Insert Image as Character..."
        Appearance12.Image = CType(resources.GetObject("Appearance12.Image"), Object)
        ButtonTool84.SharedProps.AppearancesSmall.Appearance = Appearance12
        ButtonTool84.SharedProps.Caption = "&Open"
        ButtonTool84.SharedProps.MergeOrder = 10
        ButtonTool84.SharedProps.Shortcut = System.Windows.Forms.Shortcut.CtrlO
        PopupMenuTool12.SharedProps.Caption = "&View"
        PopupMenuTool12.SharedProps.MergeOrder = 21
        ButtonTool85.InstanceProps.IsFirstInGroup = True
        ButtonTool86.InstanceProps.IsFirstInGroup = True
        PopupMenuTool13.InstanceProps.IsFirstInGroup = True
        PopupMenuTool12.Tools.AddRange(New Infragistics.Win.UltraWinToolbars.ToolBase() {ListTool1, ButtonTool85, ButtonTool86, PopupMenuTool13})
        ButtonTool87.SharedProps.Caption = "Headers and Footers"
        ButtonTool88.SharedProps.Caption = "Insert Table"
        ButtonTool89.SharedProps.Caption = "Save As PDF"
        ButtonTool89.SharedProps.MergeOrder = 41
        ButtonTool89.SharedProps.ToolTipText = "Save As PDF"
        Appearance13.Image = CType(resources.GetObject("Appearance13.Image"), Object)
        ButtonTool90.SharedProps.AppearancesSmall.Appearance = Appearance13
        ButtonTool90.SharedProps.Caption = "Save As"
        ButtonTool90.SharedProps.MergeOrder = 50
        Appearance14.Image = CType(resources.GetObject("Appearance14.Image"), Object)
        ButtonTool91.SharedProps.AppearancesSmall.Appearance = Appearance14
        ButtonTool91.SharedProps.Caption = "&Save"
        ButtonTool91.SharedProps.MergeOrder = 40
        ButtonTool91.SharedProps.Shortcut = System.Windows.Forms.Shortcut.CtrlS
        Appearance15.Image = CType(resources.GetObject("Appearance15.Image"), Object)
        ButtonTool92.SharedProps.AppearancesSmall.Appearance = Appearance15
        ButtonTool92.SharedProps.Caption = "Print Preview"
        ButtonTool92.SharedProps.MergeOrder = 80
        ButtonTool93.SharedProps.Caption = "Page Setup"
        ButtonTool93.SharedProps.MergeOrder = 42
        PopupMenuTool14.SharedProps.Caption = "&Zoom"
        PopupMenuTool14.SharedProps.MergeOrder = 109
        PopupMenuTool14.Tools.AddRange(New Infragistics.Win.UltraWinToolbars.ToolBase() {ListTool2})
        ListToolItem1.Key = "tool25"
        ListToolItem1.Text = "25 %"
        ListToolItem2.Key = "tool50"
        ListToolItem2.Text = "50 %"
        ListToolItem3.Key = "too75"
        ListToolItem3.Text = "75 %"
        ListToolItem4.Key = "tool100"
        ListToolItem4.Text = "100 %"
        ListToolItem5.Key = "tool150"
        ListToolItem5.Text = "150 %"
        ListToolItem6.Key = "tool200"
        ListToolItem6.Text = "200 %"
        ListToolItem7.Key = "tool300"
        ListToolItem7.Text = "300 %"
        ListTool3.ListToolItems.Add(ListToolItem1)
        ListTool3.ListToolItems.Add(ListToolItem2)
        ListTool3.ListToolItems.Add(ListToolItem3)
        ListTool3.ListToolItems.Add(ListToolItem4)
        ListTool3.ListToolItems.Add(ListToolItem5)
        ListTool3.ListToolItems.Add(ListToolItem6)
        ListTool3.ListToolItems.Add(ListToolItem7)
        ListTool3.SharedProps.Caption = "ZoomList"
        ListToolItem8.Key = "toolNormal"
        ListToolItem8.Text = "Normal"
        ListToolItem9.Key = "toolPageLayout"
        ListToolItem9.Text = "Page Layout"
        ListTool4.ListToolItems.Add(ListToolItem8)
        ListTool4.ListToolItems.Add(ListToolItem9)
        ListTool4.SharedProps.Caption = "LayoutList"
        ButtonTool94.SharedProps.Caption = "Insert Page Break"
        ButtonTool95.SharedProps.Caption = "Format Headers and Footers"
        Appearance16.Image = CType(resources.GetObject("Appearance16.Image"), Object)
        ButtonTool96.SharedProps.AppearancesSmall.Appearance = Appearance16
        ButtonTool96.SharedProps.Caption = "Switch Between Header and Footer"
        ButtonTool96.SharedProps.MergeOrder = 159
        PopupMenuTool15.SharedProps.Caption = "&Tables"
        PopupMenuTool15.Tools.AddRange(New Infragistics.Win.UltraWinToolbars.ToolBase() {PopupMenuTool16, PopupMenuTool17, PopupMenuTool18, PopupMenuTool19, ListTool5, ButtonTool97})
        PopupMenuTool20.SharedProps.Caption = "Insert"
        PopupMenuTool20.Tools.AddRange(New Infragistics.Win.UltraWinToolbars.ToolBase() {ButtonTool98, ButtonTool99, ButtonTool100, ButtonTool101, ButtonTool102})
        ButtonTool103.SharedProps.Caption = "Table..."
        ButtonTool104.SharedProps.Caption = "Column to the Left"
        ButtonTool105.SharedProps.Caption = "Column to the Right"
        ButtonTool106.SharedProps.Caption = "Row Above"
        ButtonTool107.SharedProps.Caption = "Row Below"
        PopupMenuTool21.SharedProps.Caption = "Delete"
        PopupMenuTool21.Tools.AddRange(New Infragistics.Win.UltraWinToolbars.ToolBase() {ButtonTool108, ButtonTool109, ButtonTool110})
        PopupMenuTool22.SharedProps.Caption = "Split"
        PopupMenuTool22.Tools.AddRange(New Infragistics.Win.UltraWinToolbars.ToolBase() {ButtonTool111, ButtonTool112})
        PopupMenuTool23.SharedProps.Caption = "Select"
        PopupMenuTool23.Tools.AddRange(New Infragistics.Win.UltraWinToolbars.ToolBase() {ButtonTool113, ButtonTool114, ButtonTool115})
        ListToolItem10.Key = "toolHideGridLines"
        ListToolItem10.Text = "Hide Grid Lines"
        ListTool6.ListToolItems.Add(ListToolItem10)
        ListTool6.SharedProps.Caption = "Grid Lines"
        ButtonTool116.SharedProps.Caption = "Properties..."
        ButtonTool117.SharedProps.Caption = "Table"
        ButtonTool118.SharedProps.Caption = "Columns"
        ButtonTool119.SharedProps.Caption = "Rows"
        ButtonTool120.SharedProps.Caption = "Above"
        ButtonTool121.SharedProps.Caption = "Below"
        ButtonTool122.SharedProps.Caption = "Table"
        ButtonTool123.SharedProps.Caption = "Row"
        ButtonTool124.SharedProps.Caption = "Cell"
        PopupMenuTool24.SharedProps.Caption = "T&ools"
        PopupMenuTool24.SharedProps.MergeOrder = 285
        PopupMenuTool24.Tools.AddRange(New Infragistics.Win.UltraWinToolbars.ToolBase() {ButtonTool125, ListTool7})
        Appearance17.Image = CType(resources.GetObject("Appearance17.Image"), Object)
        ButtonTool126.SharedProps.AppearancesSmall.Appearance = Appearance17
        ButtonTool126.SharedProps.Caption = "Check Spelling"
        ButtonTool126.SharedProps.MergeOrder = 162
        ButtonTool126.SharedProps.Shortcut = System.Windows.Forms.Shortcut.F7
        ListToolItem11.Key = "toolCheckSpellingAsYouType"
        ListToolItem11.Text = "Disable spell checking"
        ListTool8.ListToolItems.Add(ListToolItem11)
        ListTool8.SharedProps.Caption = "Spelling"
        ListTool8.SharedProps.MergeOrder = 163
        ListTool8.SharedProps.ToolTipText = "Disable spell checking as you type"
        PopupMenuTool25.SharedProps.Caption = "Nothing"
        Me.UltraToolbar.Tools.AddRange(New Infragistics.Win.UltraWinToolbars.ToolBase() {ButtonTool17, ButtonTool18, PopupMenuTool7, ButtonTool27, PopupMenuTool8, ButtonTool37, ButtonTool38, ButtonTool39, ButtonTool40, ButtonTool41, ButtonTool42, ButtonTool43, ButtonTool44, ButtonTool45, PopupMenuTool9, ButtonTool56, ButtonTool57, ButtonTool58, PopupMenuTool11, ButtonTool68, ButtonTool69, ButtonTool70, ButtonTool71, ButtonTool72, ButtonTool73, ButtonTool74, ButtonTool75, ButtonTool76, ButtonTool77, ButtonTool78, ButtonTool79, ButtonTool80, ButtonTool81, ButtonTool82, ButtonTool83, ButtonTool84, PopupMenuTool12, ButtonTool87, ButtonTool88, ButtonTool89, ButtonTool90, ButtonTool91, ButtonTool92, ButtonTool93, PopupMenuTool14, ListTool3, ListTool4, ButtonTool94, ButtonTool95, ButtonTool96, PopupMenuTool15, PopupMenuTool20, ButtonTool103, ButtonTool104, ButtonTool105, ButtonTool106, ButtonTool107, PopupMenuTool21, PopupMenuTool22, PopupMenuTool23, ListTool6, ButtonTool116, ButtonTool117, ButtonTool118, ButtonTool119, ButtonTool120, ButtonTool121, ButtonTool122, ButtonTool123, ButtonTool124, PopupMenuTool24, ButtonTool126, ListTool8, PopupMenuTool25})
        '
        'txtCText
        '
        Me.UltraToolbar.SetContextMenuUltra(Me.txtCText, "PopupFormat")
        Me.txtCText.Dock = System.Windows.Forms.DockStyle.Fill
        Me.txtCText.Font = New System.Drawing.Font("Arial", 12.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.txtCText.InsertionMode = TXTextControl.InsertionMode.Overwrite
        Me.txtCText.Location = New System.Drawing.Point(7, 60)
        Me.txtCText.Name = "txtCText"
        Me.txtCText.Size = New System.Drawing.Size(990, 581)
        Me.txtCText.TabIndex = 20
        '
        '_frmSquareFootageMaint_Toolbars_Dock_Area_Left
        '
        Me._frmSquareFootageMaint_Toolbars_Dock_Area_Left.AccessibleRole = System.Windows.Forms.AccessibleRole.Grouping
        Me._frmSquareFootageMaint_Toolbars_Dock_Area_Left.BackColor = System.Drawing.Color.FromArgb(CType(158, Byte), CType(190, Byte), CType(245, Byte))
        Me._frmSquareFootageMaint_Toolbars_Dock_Area_Left.DockedPosition = Infragistics.Win.UltraWinToolbars.DockedPosition.Left
        Me._frmSquareFootageMaint_Toolbars_Dock_Area_Left.ForeColor = System.Drawing.SystemColors.ControlText
        Me._frmSquareFootageMaint_Toolbars_Dock_Area_Left.Location = New System.Drawing.Point(0, 50)
        Me._frmSquareFootageMaint_Toolbars_Dock_Area_Left.Name = "_frmSquareFootageMaint_Toolbars_Dock_Area_Left"
        Me._frmSquareFootageMaint_Toolbars_Dock_Area_Left.Size = New System.Drawing.Size(0, 655)
        Me._frmSquareFootageMaint_Toolbars_Dock_Area_Left.ToolbarsManager = Me.UltraToolbar
        '
        '_frmSquareFootageMaint_Toolbars_Dock_Area_Right
        '
        Me._frmSquareFootageMaint_Toolbars_Dock_Area_Right.AccessibleRole = System.Windows.Forms.AccessibleRole.Grouping
        Me._frmSquareFootageMaint_Toolbars_Dock_Area_Right.BackColor = System.Drawing.Color.FromArgb(CType(158, Byte), CType(190, Byte), CType(245, Byte))
        Me._frmSquareFootageMaint_Toolbars_Dock_Area_Right.DockedPosition = Infragistics.Win.UltraWinToolbars.DockedPosition.Right
        Me._frmSquareFootageMaint_Toolbars_Dock_Area_Right.ForeColor = System.Drawing.SystemColors.ControlText
        Me._frmSquareFootageMaint_Toolbars_Dock_Area_Right.Location = New System.Drawing.Point(1016, 50)
        Me._frmSquareFootageMaint_Toolbars_Dock_Area_Right.Name = "_frmSquareFootageMaint_Toolbars_Dock_Area_Right"
        Me._frmSquareFootageMaint_Toolbars_Dock_Area_Right.Size = New System.Drawing.Size(0, 655)
        Me._frmSquareFootageMaint_Toolbars_Dock_Area_Right.ToolbarsManager = Me.UltraToolbar
        '
        '_frmSquareFootageMaint_Toolbars_Dock_Area_Top
        '
        Me._frmSquareFootageMaint_Toolbars_Dock_Area_Top.AccessibleRole = System.Windows.Forms.AccessibleRole.Grouping
        Me._frmSquareFootageMaint_Toolbars_Dock_Area_Top.BackColor = System.Drawing.Color.FromArgb(CType(158, Byte), CType(190, Byte), CType(245, Byte))
        Me._frmSquareFootageMaint_Toolbars_Dock_Area_Top.DockedPosition = Infragistics.Win.UltraWinToolbars.DockedPosition.Top
        Me._frmSquareFootageMaint_Toolbars_Dock_Area_Top.ForeColor = System.Drawing.SystemColors.ControlText
        Me._frmSquareFootageMaint_Toolbars_Dock_Area_Top.Location = New System.Drawing.Point(0, 0)
        Me._frmSquareFootageMaint_Toolbars_Dock_Area_Top.Name = "_frmSquareFootageMaint_Toolbars_Dock_Area_Top"
        Me._frmSquareFootageMaint_Toolbars_Dock_Area_Top.Size = New System.Drawing.Size(1016, 50)
        Me._frmSquareFootageMaint_Toolbars_Dock_Area_Top.ToolbarsManager = Me.UltraToolbar
        '
        '_frmSquareFootageMaint_Toolbars_Dock_Area_Bottom
        '
        Me._frmSquareFootageMaint_Toolbars_Dock_Area_Bottom.AccessibleRole = System.Windows.Forms.AccessibleRole.Grouping
        Me._frmSquareFootageMaint_Toolbars_Dock_Area_Bottom.BackColor = System.Drawing.Color.FromArgb(CType(158, Byte), CType(190, Byte), CType(245, Byte))
        Me._frmSquareFootageMaint_Toolbars_Dock_Area_Bottom.DockedPosition = Infragistics.Win.UltraWinToolbars.DockedPosition.Bottom
        Me._frmSquareFootageMaint_Toolbars_Dock_Area_Bottom.ForeColor = System.Drawing.SystemColors.ControlText
        Me._frmSquareFootageMaint_Toolbars_Dock_Area_Bottom.Location = New System.Drawing.Point(0, 705)
        Me._frmSquareFootageMaint_Toolbars_Dock_Area_Bottom.Name = "_frmSquareFootageMaint_Toolbars_Dock_Area_Bottom"
        Me._frmSquareFootageMaint_Toolbars_Dock_Area_Bottom.Size = New System.Drawing.Size(1016, 0)
        Me._frmSquareFootageMaint_Toolbars_Dock_Area_Bottom.ToolbarsManager = Me.UltraToolbar
        '
        'Splitter2
        '
        Me.Splitter2.BackColor = System.Drawing.Color.FromArgb(CType(235, Byte), CType(234, Byte), CType(219, Byte))
        Me.Splitter2.Dock = System.Windows.Forms.DockStyle.Top
        Me.Splitter2.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.Splitter2.Location = New System.Drawing.Point(5, 0)
        Me.Splitter2.Name = "Splitter2"
        Me.Splitter2.Size = New System.Drawing.Size(1006, 5)
        Me.Splitter2.TabIndex = 26
        Me.Splitter2.TabStop = False
        '
        'pnlText
        '
        Me.pnlText.BackColor = System.Drawing.Color.FromArgb(CType(235, Byte), CType(234, Byte), CType(219, Byte))
        Me.pnlText.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle
        Me.pnlText.Controls.Add(Me.txtCText)
        Me.pnlText.Controls.Add(Me.txtCRuler)
        Me.pnlText.Controls.Add(Me.txtCButton)
        Me.pnlText.Dock = System.Windows.Forms.DockStyle.Fill
        Me.pnlText.DockPadding.All = 7
        Me.pnlText.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.pnlText.Location = New System.Drawing.Point(5, 0)
        Me.pnlText.Name = "pnlText"
        Me.pnlText.Size = New System.Drawing.Size(1006, 650)
        Me.pnlText.TabIndex = 23
        '
        'txtCRuler
        '
        Me.txtCRuler.BackColor = System.Drawing.SystemColors.Control
        Me.txtCRuler.Dock = System.Windows.Forms.DockStyle.Top
        Me.txtCRuler.Font = New System.Drawing.Font("Microsoft Sans Serif", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.txtCRuler.ForeColor = System.Drawing.Color.Black
        Me.txtCRuler.Location = New System.Drawing.Point(7, 35)
        Me.txtCRuler.Name = "txtCRuler"
        Me.txtCRuler.Size = New System.Drawing.Size(990, 25)
        Me.txtCRuler.TabIndex = 16
        Me.txtCRuler.TabStop = False
        '
        'txtCButton
        '
        Me.txtCButton.BackColor = System.Drawing.SystemColors.Control
        Me.txtCButton.BorderStyle = TXTextControl.ButtonBarBorderStyle.Fixed3D
        Me.txtCButton.ButtonOffsets = New Integer() {3, 10, 0, 10, 0, 0, 10, 0, 0, 0, 10, 0, 10, 10, 10, 0, 0, 0, 0, 0, 0}
        Me.txtCButton.ButtonPositions = New TXTextControl.Button() {TXTextControl.Button.StyleComboBox, TXTextControl.Button.FontNameComboBox, TXTextControl.Button.FontSizeComboBox, TXTextControl.Button.FontBoldButton, TXTextControl.Button.FontItalicButton, TXTextControl.Button.FontUnderlineButton, TXTextControl.Button.AlignmentLeftButton, TXTextControl.Button.AlignmentCenteredButton, TXTextControl.Button.AlignmentRightButton, TXTextControl.Button.AlignmentJustifiedButton, TXTextControl.Button.ListBulletedButton, TXTextControl.Button.ListNumberedButton, TXTextControl.Button.ZoomComboBox, TXTextControl.Button.TabSelectionButton, TXTextControl.Button.ControlCharsButton, TXTextControl.Button.None, TXTextControl.Button.None, TXTextControl.Button.None, TXTextControl.Button.None, TXTextControl.Button.None, TXTextControl.Button.None}
        Me.txtCButton.ButtonSeparators = New Boolean() {False, False, False, True, False, False, True, False, False, False, True, False, True, True, True, True, False, False, False, False, False}
        Me.txtCButton.Dock = System.Windows.Forms.DockStyle.Top
        Me.txtCButton.Font = New System.Drawing.Font("Arial", 12.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.txtCButton.ForeColor = System.Drawing.Color.Black
        Me.txtCButton.Location = New System.Drawing.Point(7, 7)
        Me.txtCButton.Name = "txtCButton"
        Me.txtCButton.Size = New System.Drawing.Size(990, 28)
        Me.txtCButton.TabIndex = 15
        Me.txtCButton.TabStop = False
        '
        'frmSquareFootageMaint_Fill_Panel
        '
        Me.frmSquareFootageMaint_Fill_Panel.BackColor = System.Drawing.Color.FromArgb(CType(235, Byte), CType(234, Byte), CType(219, Byte))
        Me.frmSquareFootageMaint_Fill_Panel.Controls.Add(Me.Splitter2)
        Me.frmSquareFootageMaint_Fill_Panel.Controls.Add(Me.pnlText)
        Me.frmSquareFootageMaint_Fill_Panel.Cursor = System.Windows.Forms.Cursors.Default
        Me.frmSquareFootageMaint_Fill_Panel.Dock = System.Windows.Forms.DockStyle.Fill
        Me.frmSquareFootageMaint_Fill_Panel.DockPadding.Bottom = 5
        Me.frmSquareFootageMaint_Fill_Panel.DockPadding.Left = 5
        Me.frmSquareFootageMaint_Fill_Panel.DockPadding.Right = 5
        Me.frmSquareFootageMaint_Fill_Panel.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.frmSquareFootageMaint_Fill_Panel.Location = New System.Drawing.Point(0, 50)
        Me.frmSquareFootageMaint_Fill_Panel.Name = "frmSquareFootageMaint_Fill_Panel"
        Me.frmSquareFootageMaint_Fill_Panel.Size = New System.Drawing.Size(1016, 655)
        Me.frmSquareFootageMaint_Fill_Panel.TabIndex = 0
        '
        'ImgListGridGraphics
        '
        Me.ImgListGridGraphics.ColorDepth = System.Windows.Forms.ColorDepth.Depth32Bit
        Me.ImgListGridGraphics.ImageSize = New System.Drawing.Size(16, 16)
        Me.ImgListGridGraphics.TransparentColor = System.Drawing.Color.Transparent
        '
        'TxTextControlAdapter1
        '
        Me.TxTextControlAdapter1.TextControl = Me.txtCText
        '
        'RapidSpellAsYouType1
        '
        Me.RapidSpellAsYouType1.AddMenuText = "Add"
        Me.RapidSpellAsYouType1.AllowMixedCase = False
        Me.RapidSpellAsYouType1.CheckAsYouType = True
        Me.RapidSpellAsYouType1.CheckCompoundWords = False
        Me.RapidSpellAsYouType1.ConsiderationRange = 80
        Me.RapidSpellAsYouType1.DictFilePath = ""
        Me.RapidSpellAsYouType1.GUILanguage = Keyoti.RapidSpell.LanguageType.ENGLISH
        Me.RapidSpellAsYouType1.IgnoreAllMenuText = "Ignore All"
        Me.RapidSpellAsYouType1.IgnoreCapitalizedWords = False
        Me.RapidSpellAsYouType1.IgnoreURLsAndEmailAddresses = True
        Me.RapidSpellAsYouType1.IgnoreWordsWithDigits = True
        Me.RapidSpellAsYouType1.IncludeUserDictionaryInSuggestions = False
        Me.RapidSpellAsYouType1.LanguageParser = Keyoti.RapidSpell.LanguageType.ENGLISH
        Me.RapidSpellAsYouType1.LookIntoHyphenatedText = True
        Me.RapidSpellAsYouType1.SeparateHyphenWords = False
        Me.RapidSpellAsYouType1.ShowAddMenuOption = True
        Me.RapidSpellAsYouType1.ShowSuggestionsContextMenu = True
        Me.RapidSpellAsYouType1.SuggestionsMethod = Keyoti.RapidSpell.SuggestionsMethodType.HashingSuggestions
        Me.RapidSpellAsYouType1.SuggestSplitWords = True
        Me.RapidSpellAsYouType1.TextComponent = Me.TxTextControlAdapter1
        Me.RapidSpellAsYouType1.UnderlineColor = System.Drawing.Color.Red
        Me.RapidSpellAsYouType1.UnderlineStyle = Keyoti.RapidSpell.UnderlineStyle.Wavy
        Me.RapidSpellAsYouType1.UserDictionaryFile = ""
        Me.RapidSpellAsYouType1.V2Parser = True
        '
        'RapidSpellDialog1
        '
        Me.RapidSpellDialog1.AllowMixedCase = False
        Me.RapidSpellDialog1.AlwaysShowDialog = False
        Me.RapidSpellDialog1.CheckCompoundWords = False
        Me.RapidSpellDialog1.ConsiderationRange = 80
        Me.RapidSpellDialog1.DictFilePath = ""
        Me.RapidSpellDialog1.GUILanguage = Keyoti.RapidSpell.LanguageType.ENGLISH
        Me.RapidSpellDialog1.Icon = Nothing
        Me.RapidSpellDialog1.IgnoreCapitalizedWords = False
        Me.RapidSpellDialog1.IgnoreURLsAndEmailAddresses = True
        Me.RapidSpellDialog1.IgnoreWordsWithDigits = True
        Me.RapidSpellDialog1.IgnoreXML = False
        Me.RapidSpellDialog1.IncludeUserDictionaryInSuggestions = False
        Me.RapidSpellDialog1.LanguageParser = Keyoti.RapidSpell.LanguageType.ENGLISH
        Me.RapidSpellDialog1.Location = New System.Drawing.Point(300, 200)
        Me.RapidSpellDialog1.LookIntoHyphenatedText = True
        Me.RapidSpellDialog1.MdiParent = Nothing
        Me.RapidSpellDialog1.MinimizeBox = True
        Me.RapidSpellDialog1.Modal = False
        Me.RapidSpellDialog1.ModalOwner = Nothing
        Me.RapidSpellDialog1.Parent = Nothing
        Me.RapidSpellDialog1.QueryTextBoxMultiline = True
        Me.RapidSpellDialog1.SeparateHyphenWords = False
        Me.RapidSpellDialog1.ShowFinishedBoxAtEnd = True
        Me.RapidSpellDialog1.ShowInTaskbar = False
        Me.RapidSpellDialog1.SuggestionsMethod = Keyoti.RapidSpell.SuggestionsMethodType.HashingSuggestions
        Me.RapidSpellDialog1.SuggestSplitWords = True
        Me.RapidSpellDialog1.TextBoxBaseToCheck = Nothing
        Me.RapidSpellDialog1.Texts.AddButtonText = "Add"
        Me.RapidSpellDialog1.Texts.CancelButtonText = "Cancel"
        Me.RapidSpellDialog1.Texts.ChangeAllButtonText = "Change All"
        Me.RapidSpellDialog1.Texts.ChangeButtonText = "Change"
        Me.RapidSpellDialog1.Texts.CheckCompletePopUpText = "The spelling check is complete."
        Me.RapidSpellDialog1.Texts.CheckCompletePopUpTitle = "Spelling"
        Me.RapidSpellDialog1.Texts.CheckingSpellingText = "Checking Document..."
        Me.RapidSpellDialog1.Texts.DialogTitleText = "Spelling"
        Me.RapidSpellDialog1.Texts.FindingSuggestionsLabelText = "Finding Suggestions..."
        Me.RapidSpellDialog1.Texts.FindSuggestionsLabelText = "Find Suggestions?"
        Me.RapidSpellDialog1.Texts.FinishedCheckingSelectionPopUpText = "Finished checking selection, would you like to check the rest of the text?"
        Me.RapidSpellDialog1.Texts.FinishedCheckingSelectionPopUpTitle = "Finished Checking Selection"
        Me.RapidSpellDialog1.Texts.IgnoreAllButtonText = "Ignore All"
        Me.RapidSpellDialog1.Texts.IgnoreButtonText = "Ignore"
        Me.RapidSpellDialog1.Texts.InDictionaryLabelText = "In Dictionary:"
        Me.RapidSpellDialog1.Texts.NoSuggestionsText = "No Suggestions."
        Me.RapidSpellDialog1.Texts.NotInDictionaryLabelText = "Not In Dictionary:"
        Me.RapidSpellDialog1.Texts.RemoveDuplicateWordText = "Remove duplicate word"
        Me.RapidSpellDialog1.Texts.ResumeButtonText = "Resume"
        Me.RapidSpellDialog1.Texts.SuggestionsLabelText = "Suggestions:"
        Me.RapidSpellDialog1.ThirdPartyTextComponentToCheck = Me.TxTextControlAdapter1
        Me.RapidSpellDialog1.TopLevel = True
        Me.RapidSpellDialog1.TopMost = False
        Me.RapidSpellDialog1.UserDictionaryFile = ""
        Me.RapidSpellDialog1.V2Parser = True
        Me.RapidSpellDialog1.WarnDuplicates = True
        '
        'frmReportEditor
        '
        Me.AutoScaleBaseSize = New System.Drawing.Size(5, 14)
        Me.BackColor = System.Drawing.Color.FromArgb(CType(235, Byte), CType(234, Byte), CType(219, Byte))
        Me.ClientSize = New System.Drawing.Size(1016, 705)
        Me.Controls.Add(Me.frmSquareFootageMaint_Fill_Panel)
        Me.Controls.Add(Me._frmSquareFootageMaint_Toolbars_Dock_Area_Left)
        Me.Controls.Add(Me._frmSquareFootageMaint_Toolbars_Dock_Area_Right)
        Me.Controls.Add(Me._frmSquareFootageMaint_Toolbars_Dock_Area_Top)
        Me.Controls.Add(Me._frmSquareFootageMaint_Toolbars_Dock_Area_Bottom)
        Me.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.Icon = CType(resources.GetObject("$this.Icon"), System.Drawing.Icon)
        Me.Name = "frmReportEditor"
        Me.Text = "Report Editor"
        CType(Me.UltraToolbar, System.ComponentModel.ISupportInitialize).EndInit()
        Me.pnlText.ResumeLayout(False)
        Me.frmSquareFootageMaint_Fill_Panel.ResumeLayout(False)
        Me.ResumeLayout(False)

    End Sub

#End Region

    Private Sub frmParagraphEditor_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        'Form Load

        'Spell Checking - check if dictionaries are present
        Try
            Me.RapidSpellAsYouType1.UserDictionaryFile = Codes.CustomDict
            Me.RapidSpellDialog1.UserDictionaryFile = Codes.CustomDict
        Catch ex As Exception
            MsgBox(ex.Message)
        End Try

        'Put up wait cursor
        Cursor.Current = Cursors.WaitCursor

        'Set up Text Editor
        Me.txtCText.ButtonBar = Me.txtCButton
        Me.txtCText.RulerBar = Me.txtCRuler

        'Set up Working Values 
        Me.TextHelper = New TextHelper(Me.txtCText)

        'Create new or open existing document
        If Me.OldReport = False Then
            Me.BuildNewReport()
        Else
            Me.OpenReportName()
        End If

        'Set filename to header
        Me.Text = "Report Editor - " & AppS.SystemControlData.rtf_doc_location & "\" & InspectionID & ".rtf"

        'Preference Defaults
        Me.Width = 1024
        Me.Height = 739
        Me.Location = New System.Drawing.Point(0, 0)

        Me._FieldChoiceCol = New FieldChoiceCollection

        'Set the page to pageview
        txtCText.ViewMode = TXTextControl.ViewMode.PageView

        'Reset
        Cursor.Current = Cursors.Default

    End Sub

    Private Sub BuildNewReport()

        'Reset
        Me.txtCText.Text = ""

        'Insert Cover Letter
        Me.SetCoverLetter() '6-29-05 Added for update 1.1

        Me.InspectionParagraphCol = New InspectionParagraphCollection(InspectionID)
        SetHeaderFooters() 'only set headerfooters on new reports; use headerfooter utility
        SetEditorText()

        'set the name of the document if new and Save
        Me.SetReportName()

    End Sub

    Private Sub SetCoverLetter()

        'Check to see if a Cover Letter is to be included
        Dim cover_letter_id As String = AppS.SystemControlData.cover_letter_id
        If cover_letter_id.Length = 0 Then
            Return
        End If

        Dim cl As New CoverLetter
        If Not cl.Identify(cover_letter_id) Then
            MessageBox.Show("Unable to locate the Cover Letter Indentified in your System Control Data.  Report will be build without a Cover Letter.", "Cover Letter Not Found", MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
            Return
        End If

        RTFHelper = New RTFHelper(cl.doc_data, cl.doc_version)
        RTFHelper.GetDocument(Me.txtCText, Codes.DocumentFormatChoice.UseDocumentFieldData, False, False, False)

        'Provide values for each field
        Dim tfield As TextField
        For Each tfield In Me.txtCText.TextFields
            Me.ParentInspectionForm.PopulateSingleFields(tfield) 'Should probably make this its own utility class, but for now, it is borrowed from the calling form.
        Next

        'Set page break and denote that cover letter was included
        Me.txtCText.Selection.Start = Me.txtCText.Text.Length
        Me.TextHelper.PageBreak()
        Me._IsCoverLetterIncluded = True

    End Sub

    Private Sub SetHeaderFooters()

        Dim hfc As HeaderFooterCollection = txtCText.HeadersAndFooters
        hfc.Styles = HeaderFooterStyles.ActivateClick
        hfc.Styles = HeaderFooterStyles.DottedFrame

        If Me._IsCoverLetterIncluded Then
            hfc.Add(HeaderFooterType.FirstPageHeader)
            hfc.Add(HeaderFooterType.FirstPageFooter)
        End If

        hfc.Add(HeaderFooterType.Header)
        hfc.Add(HeaderFooterType.Footer)

        Dim h As HeaderFooter = hfc.GetItem(HeaderFooterType.Header)
        If Not h Is Nothing Then
            Me.PopulateHeaderFooter(h)
            h.Selection.Start = 0
            h.Selection.Length = 0
        End If

        Dim i As HeaderFooter = hfc.GetItem(HeaderFooterType.Footer)

        If Not i Is Nothing Then
            Me.PopulateHeaderFooter(i)
            i.Selection.Text = ControlChars.NewLine & ControlChars.Tab & ControlChars.Tab & ControlChars.Tab & ControlChars.Tab & ""

            Dim p As New PageNumberField(0, NumberFormat.ArabicNumbers)
            p.Editable = False
            p.DoubledInputPosition = True
            i.PageNumberFields.Add(p)
        End If

    End Sub

    Private Sub PopulateHeaderFooter(ByRef HeaderFooter As TXTextControl.HeaderFooter)

        Dim DocumentID As String
        If (HeaderFooter.Type = HeaderFooterType.FirstPageFooter) Or (HeaderFooter.Type = HeaderFooterType.Footer) Then
            DocumentID = "Footer"
        Else
            DocumentID = "Header"
        End If

        'Load Header with fields
        Dim h As Document = New Document(DocumentID)
        If Not (h Is Nothing) Then

            'Get Header or Footer Rich Text.  Populate Fields.
            Dim rtfH1 As New RTFHelper(h.doc_data, h.doc_version)
            rtfH1.GetHeaderFooter(HeaderFooter, Codes.DocumentFormatChoice.UseDocumentFieldData, True, False, False)
            'Provide values for each field
            Dim tfield As TextField
            For Each tfield In HeaderFooter.TextFields
                Me.ParentInspectionForm.PopulateSingleFields(tfield) 'Should probably make this its own utility class, but for now, it is borrowed from the calling form.
            Next

        End If

    End Sub

    Private Sub SetEditorText()

        Dim i As Integer

        For i = 0 To Me.InspectionParagraphCol.Paragraphs.Count - 1
            Dim ip As InspectionParagraph = CType(Me.InspectionParagraphCol.Paragraphs(i), InspectionParagraph)
            Dim BoldTitle As Boolean = False
            If ip.doc_data_type = Codes.DocumentDataType.PlainText Then
                Dim sp As New Paragraph
                If sp.Identify(ip.document_id) Then
                    BoldTitle = CType(sp.bold_title, Boolean)
                End If
            End If
            RTFHelper = New RTFHelper(ip.doc_data_field_def, ip.doc_version, ip.doc_data_type, BoldTitle)
            RTFHelper.AppendDocument(Me.txtCText, Codes.DocumentFormatChoice.UseDocumentFieldData, True, False, False)
        Next

    End Sub

    Private Sub SetReportName()

        docName = InspectionID
        docAddressOne = InspectionAddressOne
        Try
            Me.txtCText.Save(AppS.SystemControlData.rtf_doc_location & "\" & docName & ".rtf", (TXTextControl.StreamType.RichTextFormat))
        Catch ex As Exception
            MsgBox(ex.Message & "  This document MUST be saved manually.")

        End Try

    End Sub

    Private Sub OpenReportName()

        docName = InspectionID
        docAddressOne = InspectionAddressOne
        Try
            Me.txtCText.Load(AppS.SystemControlData.rtf_doc_location & "\" & docName & ".rtf", (TXTextControl.StreamType.RichTextFormat))
        Catch ex As Exception
            MsgBox(ex.Message & "  This document can not be found.")

        End Try

    End Sub


    Public Sub SetFieldChoices(ByVal field_type As String, ByVal ActiveRowPosition As Integer, ByVal ActiveRowID As String)
        'Overloaded Sub.  Refreshes the detail list by retrieving a new set of values.

    End Sub

    Private Sub ClearFieldChoices()
        Me._FieldChoiceCol.ItemDS.Tables(0).Clear()
    End Sub

    Private Sub SetFieldSelection(ByRef arrSelection() As String)

    End Sub

    Public Sub RefreshList(ByVal ActiveRowPosition As Integer, ByVal ActiveRowID As String)

    End Sub

    Private Sub SetResourceVisibility()
    End Sub

    Private Sub SetResourceUsability()
    End Sub

    Private Sub SetEditorMenus()

        If Me.txtCText.ContainsFocus Then
            UltraToolbar.Tools("PopupFormat").SharedProps.Visible = True
            UltraToolbar.Toolbars("textToolBar").Visible = True

            UltraToolbar.Tools("PopupFormat").SharedProps.Enabled = True
            UltraToolbar.Tools("toolDelete").SharedProps.Enabled = True
            UltraToolbar.Tools("toolUndo").SharedProps.Enabled = True
            UltraToolbar.Tools("toolRedo").SharedProps.Enabled = True
            UltraToolbar.Tools("toolFind").SharedProps.Enabled = True
            UltraToolbar.Tools("toolReplace").SharedProps.Enabled = True
            UltraToolbar.Tools("toolCut").SharedProps.Enabled = True
            UltraToolbar.Tools("toolCopy").SharedProps.Enabled = True
            UltraToolbar.Tools("toolPaste").SharedProps.Enabled = True
            UltraToolbar.Tools("toolSelectAll").SharedProps.Enabled = True
        Else
            UltraToolbar.Tools("PopupFormat").SharedProps.Visible = False
            UltraToolbar.Toolbars("textToolBar").Visible = False

            UltraToolbar.Tools("PopupFormat").SharedProps.Enabled = False
            UltraToolbar.Tools("toolDelete").SharedProps.Enabled = False
            UltraToolbar.Tools("toolUndo").SharedProps.Enabled = False
            UltraToolbar.Tools("toolRedo").SharedProps.Enabled = False
            UltraToolbar.Tools("toolFind").SharedProps.Enabled = False
            UltraToolbar.Tools("toolReplace").SharedProps.Enabled = False
            UltraToolbar.Tools("toolCut").SharedProps.Enabled = False
            UltraToolbar.Tools("toolCopy").SharedProps.Enabled = False
            UltraToolbar.Tools("toolPaste").SharedProps.Enabled = False
            UltraToolbar.Tools("toolSelectAll").SharedProps.Enabled = False
        End If

    End Sub

    Private Function EditRecord(ByRef Paragraph As Paragraph, ByVal Action As Codes.RowActions) As Boolean
        'Performs various checks on the data.  Returns False for each error.

        Return True

    End Function

    Private Sub TextControl1_HeaderFooterActivated(ByVal sender As System.Object, ByVal e As TXTextControl.HeaderFooterEventArgs) Handles txtCText.HeaderFooterActivated
        UltraToolbar.Tools("toolHeaderFooterSwitch").SharedProps.Enabled = True
        m_ActiveHeaderFooter = e.HeaderFooter
    End Sub

    Private Sub TextControl1_HeaderFooterDeactivated(ByVal sender As System.Object, ByVal e As TXTextControl.HeaderFooterEventArgs) Handles txtCText.HeaderFooterDeactivated
        UltraToolbar.Tools("toolHeaderFooterSwitch").SharedProps.Enabled = False
        m_ActiveHeaderFooter = Nothing
    End Sub

    Public Sub SwitchBetweenHeaderAndFooter()
        If Not IsNothing(m_ActiveHeaderFooter) Then

            If m_ActiveHeaderFooter.Type = TXTextControl.HeaderFooterType.Header Then
                txtCText.HeadersAndFooters.GetItem(TXTextControl.HeaderFooterType.Footer).Activate()

            ElseIf m_ActiveHeaderFooter.Type = TXTextControl.HeaderFooterType.Footer Then
                txtCText.HeadersAndFooters.GetItem(TXTextControl.HeaderFooterType.Header).Activate()

            ElseIf m_ActiveHeaderFooter.Type = TXTextControl.HeaderFooterType.FirstPageHeader Then
                txtCText.HeadersAndFooters.GetItem(TXTextControl.HeaderFooterType.FirstPageFooter).Activate()

            ElseIf m_ActiveHeaderFooter.Type = TXTextControl.HeaderFooterType.FirstPageFooter Then
                txtCText.HeadersAndFooters.GetItem(TXTextControl.HeaderFooterType.FirstPageHeader).Activate()

            End If

        End If
    End Sub

    Private Sub UltraToolbar_ToolClick(ByVal sender As System.Object, ByVal e As Infragistics.Win.UltraWinToolbars.ToolClickEventArgs) Handles UltraToolbar.ToolClick

        Select Case e.Tool.Key

            Case "toolSave"
                docName = InspectionID
                docAddressOne = InspectionAddressOne
                Try
                    Me.txtCText.Save(AppS.SystemControlData.rtf_doc_location & "\" & docName & ".rtf", (TXTextControl.StreamType.RichTextFormat))
                Catch ex As Exception
                    MsgBox(ex.Message & "  This document MUST be saved manually.")
                End Try
            Case "toolSaveAs"
                Me.txtCText.Save(TXTextControl.StreamType.RichTextFormat)
            Case "toolOpen"
                Me.TextHelper.Load()
            Case "toolCLose"
                AppS.FormsManager.UnloadForm(Me)
            Case "toolExportPDF"
                docName = InspectionID
                docAddressOne = InspectionAddressOne
                Try
                    Me.txtCText.Save(AppS.SystemControlData.rtf_doc_location & "\" & docName & ".pdf", (TXTextControl.StreamType.AdobePDF))
                Catch ex As Exception
                    MsgBox(ex.Message & "  This document MUST be saved manually.")
                End Try
            Case "toolPrint"
                Me.TextHelper.Print()
            Case "toolPrintPreview"
                Me.TextHelper.PrintPreview()
            Case "toolPageSetup"
                txtCText.ViewMode = TXTextControl.ViewMode.Normal
                Me.TextHelper.PageSetup()
                txtCText.ViewMode = TXTextControl.ViewMode.PageView
            Case "toolUndo"
                Me.TextHelper.Undo()
            Case "toolRedo"
                Me.TextHelper.Redo()
            Case "toolDelete"
                Me.TextHelper.Delete()
            Case "toolFind"
                Me.TextHelper.Find()
            Case "toolReplace"
                Me.TextHelper.Replace()
            Case "toolCut"
                Me.TextHelper.Cut()
            Case "toolCopy"
                Me.TextHelper.Copy()
            Case "toolPaste"
                Me.TextHelper.Paste()
            Case "toolSelectAll"
                Me.TextHelper.SelectAll()

            Case "toolZoomList"
                txtCText.ViewMode = TXTextControl.ViewMode.PageView
                If e.ListToolItem.Key = "tool25" Then
                    txtCText.ZoomFactor = 25
                ElseIf e.ListToolItem.Key = "tool50" Then
                    txtCText.ZoomFactor = 50
                ElseIf e.ListToolItem.Key = "tool75" Then
                    txtCText.ZoomFactor = 75
                ElseIf e.ListToolItem.Key = "tool100" Then
                    txtCText.ZoomFactor = 100
                ElseIf e.ListToolItem.Key = "tool150" Then
                    txtCText.ZoomFactor = 150
                ElseIf e.ListToolItem.Key = "tool200" Then
                    txtCText.ZoomFactor = 200
                ElseIf e.ListToolItem.Key = "tool300" Then
                    txtCText.ZoomFactor = 300
                Else
                    txtCText.ZoomFactor = 100
                End If

            Case "toolLayoutList"
                If e.ListToolItem.Key = "toolNormal" Then
                    txtCText.ViewMode = TXTextControl.ViewMode.Normal
                ElseIf e.ListToolItem.Key = "toolPageLayout" Then
                    txtCText.ViewMode = TXTextControl.ViewMode.PageView
                End If

            Case "toolInsertPageBreak"
                Me.TextHelper.PageBreak()

            Case "toolFormatHeaderFooter"
                Me.TextHelper.FormatHeaderFooters()
            Case "toolHeaderFooterSwitch"
                SwitchBetweenHeaderAndFooter()

            Case "toolFormatChar"
                Me.TextHelper.FormatCharacter()
            Case "toolFormatParagraph"
                Me.TextHelper.FormatParagraph()
            Case "toolFormatTabs"
                Me.TextHelper.FormatTabs()
            Case "toolFormatBullets"
            Case "toolFormatBulletsAttributes"
                Me.TextHelper.FormatAttributes()
            Case "toolFormatBulletsIncreaseLevel"
                Me.TextHelper.FormatIncreaseLevel()
            Case "toolFormatBulletsDecreaseLevel"
                Me.TextHelper.FormatDecreaseLevel()
            Case "toolFormatBullets123"
                Me.TextHelper.FormatBullets123()
            Case "toolFormatBulletsABC"
                Me.TextHelper.FormatBulletsABC()
            Case "toolFormatBulletsABCLowerCase"
                Me.TextHelper.FormatBulletsABCLowerCase()
            Case "toolFormatBulletsRomanUpper"
                Me.TextHelper.FormatBulletsRomanUpper()
            Case "toolFormatBulletsRomanLower"
                Me.TextHelper.FormatBulletsRomanLower()
            Case "toolFormatBulletsBullets"
                Me.TextHelper.FormatBulletsBullets()
            Case "toolFormatStyles"
                Me.TextHelper.FormatStyles()
            Case "toolFormatTextColor"
                Me.TextHelper.FormatTextColor(WinColorDialog)
            Case "toolFormatTextBackgroundColor"
                Me.TextHelper.FormatTextBackgroundColor(WinColorDialog)
            Case "toolFormatInsertImage"
                Me.TextHelper.FormatInsertImage()
            Case "toolFormatInsertImageAsChar"
                Me.TextHelper.FormatInsertImageAsChar()
            Case "toolFormatImage"
                Me.TextHelper.FormatImage()
            Case "toolHeaderFooters"
                Me.TextHelper.HeaderFooter(docName)

            Case "toolTable..."
                Me.TextHelper.InsertTable()
            Case "toolColumnToTheLeft"
                Me.TextHelper.InsertColumnToTheLeft()
            Case "toolColumnToTheRight"
                Me.TextHelper.InsertColumnToTheRight()
            Case "toolRowAbove"
                Me.TextHelper.RowAbove()
            Case "toolRowBelow"""
                Me.TextHelper.RowBelow()

            Case "toolDeleteTable"
                Me.TextHelper.DeleteTable()
            Case "toolDeleteColumns"
                Me.TextHelper.DeleteColumns()
            Case "toolDeleteRows"
                Me.TextHelper.DeleteRows()

            Case "toolSplitAbove"
                Me.TextHelper.SplitBefore()
            Case "toolSplitBelow"
                Me.TextHelper.SplitAfter()

            Case "toolSelectTable"
                Me.TextHelper.SelectTable()
            Case "toolSelectRow"
                Me.TextHelper.SelectRow()
            Case "toolSelectCell"
                Me.TextHelper.SelectCell()

            Case "GridLinesList"
                If e.ListToolItem.Key = "toolHideGridLines" Then
                    txtCText.Tables.GridLines = Not txtCText.Tables.GridLines
                End If

            Case "toolProperties..."
                txtCText.TableFormatDialog()

            Case "toolSpelling"
                Me.RapidSpellDialog1.Check()

            Case "SpellingList"
                If Spell = True Then
                    If e.ListToolItem.Key = "toolCheckSpellingAsYouType" Then
                        Me.RapidSpellAsYouType1.CheckAsYouType = False
                        Spell = False
                    End If
                Else
                    If e.ListToolItem.Key = "toolCheckSpellingAsYouType" Then
                        Me.RapidSpellAsYouType1.CheckAsYouType = True
                        Spell = True
                    End If
                End If

        End Select

    End Sub

    Private Sub AddSelectedField(ByVal FieldName As String)
        Me.TextHelper.AddField(FieldName)
    End Sub

    Private Sub SelectDataField(ByVal e As TXTextControl.TextFieldEventArgs)
        Me.TextHelper.CurrentField.AssignInfo(e.TextField)
    End Sub

    Private Sub txtCText_GotFocus(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtCText.GotFocus
        Me.SetEditorMenus()
    End Sub

    Private Sub txtCText_LostFocus(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtCText.LostFocus
        Me.SetEditorMenus()
    End Sub

    Private Sub txtCText_MouseUp(ByVal sender As System.Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles txtCText.MouseUp

        If e.Button = MouseButtons.Right Then
            If Not (Me.txtCText.Focused) Then
                Me.txtCText.Focus()
            End If
            If Me.txtCText.Selection.Length = 0 Then
                Me.txtCText.InputPosition = New TXTextControl.InputPosition(New System.Drawing.Point(e.X, e.Y))
            End If
        End If

    End Sub

    Private Sub frmReportEditor_Closing(ByVal sender As Object, ByVal e As System.ComponentModel.CancelEventArgs) Handles MyBase.Closing

        Dim iReturn As DialogResult
        iReturn = MessageBox.Show("Would you like to save this report before closing?  ", "Save?", MessageBoxButtons.YesNoCancel, MessageBoxIcon.Exclamation)
        If iReturn = DialogResult.Cancel Then
            e.Cancel = True
            Exit Sub

        ElseIf iReturn = DialogResult.Yes Then

            docName = InspectionID
            docAddressOne = InspectionAddressOne
            Try
                Me.txtCText.Save(AppS.SystemControlData.rtf_doc_location & "\" & docName & ".rtf", (TXTextControl.StreamType.RichTextFormat)) ' fixed 2-24-05
            Catch ex As Exception
                MsgBox(ex.Message & "  This document MUST be saved manually.")
                'need to keep open...
            End Try

        ElseIf iReturn = DialogResult.No Then

        End If

        AppS.FormsManager.UnloadForm(Me)

    End Sub

    Private Sub frmReportEditor_Resize(ByVal sender As Object, ByVal e As System.EventArgs) Handles MyBase.Resize

        Me.txtCText.Width = Me.pnlText.Width - 13
        Me.txtCText.Height = Me.pnlText.Height - 61

    End Sub

    Private Sub UltraToolbar_AfterToolDropdown(ByVal sender As Object, ByVal e As Infragistics.Win.UltraWinToolbars.ToolDropdownEventArgs) Handles UltraToolbar.AfterToolDropdown

        'set up table properties

        Dim ThisTable As TXTextControl.Table = txtCText.Tables.GetItem()
        UltraToolbar.Tools("toolTable...").SharedProps.Enabled = True
        If IsNothing(ThisTable) Then
            UltraToolbar.Tools("toolProperties...").SharedProps.Enabled = False
        Else
            UltraToolbar.Tools("toolProperties...").SharedProps.Enabled = True
        End If
        If IsNothing(ThisTable) Then
            UltraToolbar.Tools("toolSplitAbove").SharedProps.Enabled = False
            UltraToolbar.Tools("toolSplitBelow").SharedProps.Enabled = False
        Else
            UltraToolbar.Tools("toolSplitAbove").SharedProps.Enabled = True
            UltraToolbar.Tools("toolSplitBelow").SharedProps.Enabled = True
        End If

        'set enable/disable for PopupInsert under PopupTable

        Dim TableAtInputPosition As TXTextControl.Table = txtCText.Tables.GetItem
        If IsNothing(TableAtInputPosition) Then
            UltraToolbar.Tools("toolColumnToTheLeft").SharedProps.Enabled = False
            UltraToolbar.Tools("toolColumnToTheRight").SharedProps.Enabled = False
            UltraToolbar.Tools("toolRowAbove").SharedProps.Enabled = False
            UltraToolbar.Tools("toolRowBelow").SharedProps.Enabled = False
        Else
            UltraToolbar.Tools("toolColumnToTheLeft").SharedProps.Enabled = True
            UltraToolbar.Tools("toolColumnToTheRight").SharedProps.Enabled = True
            UltraToolbar.Tools("toolRowAbove").SharedProps.Enabled = True
            UltraToolbar.Tools("toolRowBelow").SharedProps.Enabled = True
        End If

        'set enable/disable for PopupDelete under PopupTable

        Dim TableAtInputPosition2 As TXTextControl.Table = txtCText.Tables.GetItem
        If IsNothing(TableAtInputPosition2) Then
            UltraToolbar.Tools("toolDeleteTable").SharedProps.Enabled = False
            UltraToolbar.Tools("toolDeleteColumns").SharedProps.Enabled = False
            UltraToolbar.Tools("toolDeleteRows").SharedProps.Enabled = False
        Else
            UltraToolbar.Tools("toolDeleteTable").SharedProps.Enabled = True
            UltraToolbar.Tools("toolDeleteColumns").SharedProps.Enabled = True
            UltraToolbar.Tools("toolDeleteRows").SharedProps.Enabled = True
        End If

        'set enable/disable for PopupSplit under PopupTable

        If IsNothing(TableAtInputPosition) Then
            UltraToolbar.Tools("toolSplitAbove").SharedProps.Enabled = False
            UltraToolbar.Tools("toolSplitBelow").SharedProps.Enabled = False
        Else
            UltraToolbar.Tools("toolSplitAbove").SharedProps.Enabled = True
            UltraToolbar.Tools("toolSplitBelow").SharedProps.Enabled = True
        End If

        'set enable/disable for PopupSelect under PopupTable

        Dim TableAtInputPosition3 As TXTextControl.Table = Nothing
        Dim RowAtInputPosition As TXTextControl.TableRow = Nothing
        Dim CellAtInputPosition As TXTextControl.TableCell = Nothing
        TableAtInputPosition3 = txtCText.Tables.GetItem
        If Not IsNothing(TableAtInputPosition3) Then
            RowAtInputPosition = TableAtInputPosition.Rows.GetItem
            CellAtInputPosition = TableAtInputPosition.Cells.GetItem
        End If
        UltraToolbar.Tools("toolSelectTable").SharedProps.Enabled = Not IsNothing(TableAtInputPosition)
        UltraToolbar.Tools("toolSelectRow").SharedProps.Enabled = Not IsNothing(RowAtInputPosition)
        UltraToolbar.Tools("toolSelectCell").SharedProps.Enabled = Not IsNothing(CellAtInputPosition)

    End Sub

End Class
